WordPress.org

Ready to get started?Download WordPress

Forums

Automatic upgrade 2.7 --> 2.8 went ok, 2.8 --> 2.8x fails ?!? (7 posts)

  1. valent
    Member
    Posted 4 years ago #

    Hi, after last 2.7 WordPress that I installed manually I tried doing automatic upgrade from 2.7.x to 2.8.0 and I was amazed how smooth it went and everything worked after the upgrade.

    I'm really puzzled why now upgrades from 2.8.0 to 2.8.x don't work automatically.

    How can I troubleshoot more to see what is the issue and to try to "force" automatic upgrade to work.

    Cheers!

  2. ziado
    Member
    Posted 4 years ago #

    Don't know if that's any relevant to you, but I tried installing (fresh) 2.8.4 and it keeps on failing, keeps complaining that it can't located the wp-load.php file (permissions on all files allow execution and ftp'd using ASCII mode, wp-config.php is correct so far as i can tell)

  3. valent
    Member
    Posted 4 years ago #

    I tried upgrading to 2.8.1, 2.8.2.... every version so far fails to update to latest version from 2.8.0

    I click "Install automatically", give hostname, username and password, choose FTPS, and click Proceed button and I get only the message:

    "Installation Failed"

    Is there some log that I can look at what is the exact error that prevents updating?

  4. valent
    Member
    Posted 4 years ago #

    I also tried using FTP instead of FTPS, still fails.

    How can I get more info on why is this install failing?

  5. Dave333
    Member
    Posted 4 years ago #

    @valent, did you find anything?

    I had a nightmare experience when I tried updating WordPress 2.71 and spent over a full day troubleshooting in an effort to get it back up and running. I ended up having to just reinstall 2.71 and restore the backup.

    I wasn't going to ever risk an update again as I am really happy with 2.71.

    However, I have heard a lot recently about the huge security vulnerability in older versions of WordPress and am once again considering upgrading from 2.71 to the latest version.

    But I am being much more cautious this time and investigating all the problems others have had before I decide to go ahead with another upgrade.

    I could wait to be hacked, or risk destroying it myself with a failed upgrade.

    Did you get this issue resolved?

  6. valent
    Member
    Posted 4 years ago #

    Nope, still nothing.

    I had no issues with manual updating so far, I have manually updated a number of times in last 5 years I have my blog. I only rarely do full backups, but you should do that. First make a backup of your database and files, so if update goes wrong you can have your site up and running with old version. Working but still vulnerable.

    I hope someone who is a wordpress guy sees this post and gives me some tips on how to troubleshoot.

    Are there any logs I can see?!?

  7. Godless American
    Member
    Posted 4 years ago #

    I'm new to wordpress.org but I somehow installed 2.7.1 originally.

    Now, when I try to upgrade to 2.8.4 on my dashboard I get nada, nothing happens. It says its installing, and then it sits there and does absolutely nothing. I've installed the files in the FTP, upgrades, section to see if that worked also.

    I've got no idea what to try next.

Topic Closed

This topic has been closed to new replies.

About this Topic